Tag Policy
TagPolicy object
- tag_keystring
- idstring
- descriptionstring
- valuesarray of object
Show child attributesHide child attributes
- namestring
- create_timestring
Timestamp when the tag policy was created
- update_timestring
Timestamp when the tag policy was last updated
Get GA
GET
Gets a single tag policy by its associated governed tag's key. For Terraform usage, see the Tag Policy Terraform documentation. To list granted permissions for tag policies, use the Account Access Control Proxy API.
API scopes: tags
Parameters
- tag_keystringpath
Response
Returns the TagPolicy object.
List GA
GET
Lists the tag policies for all governed tags in the account. For Terraform usage, see the Tag Policy Terraform documentation. To list granted permissions for tag policies, use the Account Access Control Proxy API.
API scopes: tags
Parameters
- page_sizeint32query
The maximum number of results to return in this request. Fewer results may be returned than requested. If unspecified or set to 0, this defaults to 1000. The maximum value is 1000; values above 1000 will be coerced down to 1000.
- page_tokenstringquery
An optional page token received from a previous list tag policies call.
Response
Returns a list of TagPolicy objects.
Create GA
POST
Creates a new tag policy, making the associated tag key governed. For Terraform usage, see the Tag Policy Terraform documentation. To manage permissions for tag policies, use the Account Access Control Proxy API.
API scopes: tags
Request body
- tag_policyobject
Show child attributesHide child attributes
- tag_keystring
- idstring
- descriptionstring
- valuesarray of object
Show child attributesHide child attributes
- namestring
- create_timestring
Timestamp when the tag policy was created
- update_timestring
Timestamp when the tag policy was last updated
Response
Returns the TagPolicy object.
Update GA
PATCH
Updates an existing tag policy for a single governed tag. For Terraform usage, see the Tag Policy Terraform documentation. To manage permissions for tag policies, use the Account Access Control Proxy API.
API scopes: tags
Parameters
- tag_policyobjectpath
Show child attributesHide child attributes
- tag_keystring
- idstring
- descriptionstring
- valuesarray of object
Show child attributesHide child attributes
- namestring
- create_timestring
Timestamp when the tag policy was created
- update_timestring
Timestamp when the tag policy was last updated
- update_maskstringquery
Response
Returns the TagPolicy object.
Delete GA
DELETE
Deletes a tag policy by its associated governed tag's key, leaving that tag key ungoverned. For Terraform usage, see the Tag Policy Terraform documentation.
API scopes: tags
Parameters
- tag_keystringpath